Subject: bug#19175: 24.4; make-frame-on-display fails if emacs started with -nw

From: Mario Becroft <[email-masked]>
Date: Sun, 29 Mar 2015 16:42:44 +1300

Glenn Morris <[email-masked]> writes:

> I checked and can confirm that while
>
> emacs -Q           # starts a graphical Emacs
> M-x make-frame-on-display RET remote.host:0 RET
>
> works fine, the same thing fails as described from `emacs -Q -nw'.
>
> However, I cannot find any version of Emacs in which the latter does work.
> It fails in all the 24 and 22 series.
> (23.x infloops when started with -nw, due to some glib incompatibility
> IIRC, and I can't be bothered to recompile it now.)

Thanks for your input Glenn. I can confirm that on my system, it
certainly did work at least with emacs 23 and possibly earlier versions
of 24.

Perhaps it depends on the configuration, such as which toolkit is used
etc. I compile mine with X, but without external toolkits. In this case,
my configure command was as follows:

./configure --without-toolkit-scroll-bars --with-x --with-x-toolkit=lucid --without-xft

-- 
Mario Becroft <[email-masked]>       t: @MarioBecroft
p: +64-9-974-9244  m: +64-21-038-5178  w: http://www.becroft.co.nz/